# hy-introduction

<!-- Auto Generated Below -->

## Properties

| Property          | Attribute          | Description | Type                | Default     |
| ----------------- | ------------------ | ----------- | ------------------- | ----------- |
| `headerstyle`     | `headerstyle`      |             | `string`            | `'common'`  |
| `imageUrl`        | `image-url`        |             | `string`            | `undefined` |
| `isExternal`      | `is-external`      |             | `boolean`           | `false`     |
| `reversed`        | `reversed`         |             | `boolean`           | `false`     |
| `scLabel`         | `sc-label`         |             | `string`            | `undefined` |
| `textDescription` | `text-description` |             | `string`            | `null`      |
| `textTitle`       | `text-title`       |             | `string`            | `undefined` |
| `url`             | `url`              |             | `string`            | `undefined` |
| `urlTitle`        | `url-title`        |             | `string`            | `undefined` |
| `variant`         | `variant`          |             | `"black" \| "blue"` | `null`      |

## Dependencies

### Depends on

- [hy-box](../hy-box)
- [hy-main-content-wrapper](../hy-main-content-wrapper)
- [hy-heading](../heading)
- [hy-icon](../icon)
- [hy-image](../image)

### Graph

```mermaid
graph TD;
  hy-introduction --> hy-box
  hy-introduction --> hy-main-content-wrapper
  hy-introduction --> hy-heading
  hy-introduction --> hy-icon
  hy-introduction --> hy-image
  hy-heading --> hy-box
  hy-image --> hy-box
  style hy-introduction fill:#f9f,stroke:#333,stroke-width:4px
```

---

Helsinki University Design System
