# hy-footer-base

<!-- Auto Generated Below -->

## Properties

| Property              | Attribute                | Description                  | Type                                                           | Default                     |
| --------------------- | ------------------------ | ---------------------------- | -------------------------------------------------------------- | --------------------------- |
| `color`               | `color`                  | Link item color              | `FooterLinkItemColor.black \| FooterLinkItemColor.white`       | `FooterLinkItemColor.white` |
| `copyrightText`       | `copyright-text`         | Copyright text               | `string`                                                       | `undefined`                 |
| `dataFooterBaseLinks` | `data-footer-base-links` | Footer links to be displayed | `FooterBaseLinks[] \| string`                                  | `undefined`                 |
| `dataFooterBaseSome`  | `data-footer-base-some`  | Footer some links            | `FooterBaseSome[] \| string`                                   | `undefined`                 |
| `logoLabel`           | `logo-label`             | Logo label                   | `string`                                                       | `undefined`                 |
| `logoUrl`             | `logo-url`               | Logo url                     | `string`                                                       | `undefined`                 |
| `size`                | `size`                   | Logo size                    | `SiteLogoSize.big \| SiteLogoSize.large \| SiteLogoSize.small` | `SiteLogoSize.big`          |
| `someLabel`           | `some-label`             | Label for some links         | `string`                                                       | `undefined`                 |

## Dependencies

### Depends on

- [hy-site-logo](../../site-header/site-logo)
- [hy-icon](../../icon)
- [hy-footer-link-item](../hy-footer-link-item)

### Graph

```mermaid
graph TD;
  hy-footer-base --> hy-site-logo
  hy-footer-base --> hy-icon
  hy-footer-base --> hy-footer-link-item
  hy-site-logo --> hy-icon
  hy-footer-link-item --> hy-icon
  hy-footer-link-item --> hy-heading
  hy-heading --> hy-box
  style hy-footer-base fill:#f9f,stroke:#333,stroke-width:4px
```

---

Helsinki University Design System
