# hy-person-card

<!-- Auto Generated Below -->

## Properties

| Property        | Attribute        | Description | Type                                                           | Default                      |
| --------------- | ---------------- | ----------- | -------------------------------------------------------------- | ---------------------------- |
| `categoryTitle` | `category-title` |             | `string`                                                       | `undefined`                  |
| `department`    | `department`     |             | `string`                                                       | `undefined`                  |
| `email`         | `email`          |             | `string`                                                       | `undefined`                  |
| `field`         | `field`          |             | `string`                                                       | `undefined`                  |
| `firstName`     | `first-name`     |             | `string`                                                       | `undefined`                  |
| `imageAlt`      | `image-alt`      |             | `string`                                                       | `undefined`                  |
| `imageUrl`      | `image-url`      |             | `string`                                                       | `undefined`                  |
| `isExternal`    | `is-external`    |             | `boolean`                                                      | `false`                      |
| `lastName`      | `last-name`      |             | `string`                                                       | `undefined`                  |
| `phone`         | `phone`          |             | `string`                                                       | `undefined`                  |
| `positionTitle` | `position-title` |             | `string`                                                       | `undefined`                  |
| `scLabel`       | `sc-label`       |             | `string`                                                       | `undefined`                  |
| `url`           | `url`            |             | `string`                                                       | `undefined`                  |
| `variant`       | `variant`        |             | `PersonCardVariants.default \| PersonCardVariants.searchPanel` | `PersonCardVariants.default` |

## Dependencies

### Depends on

- [hy-icon](../icon)

### Graph

```mermaid
graph TD;
  hy-person-card --> hy-icon
  style hy-person-card fill:#f9f,stroke:#333,stroke-width:4px
```

---

Helsinki University Design System
