import {Component, Host, h} from '@stencil/core';

@Component({
  tag: 'hy-tag',
  styleUrl: 'hy-tag.scss',
  shadow: true,
})
export class HyTag {
  render() {
    const classAttributes = ['hy-tag'].join(' ');

    return (
      <Host>
        <div class={classAttributes}>
          <span>
            <slot></slot>
          </span>
        </div>
      </Host>
    );
  }
}
