# menu-mobile-breadcrumb

<!-- Auto Generated Below -->

## Properties

| Property         | Attribute          | Description | Type      | Default     |
| ---------------- | ------------------ | ----------- | --------- | ----------- |
| `bid`            | `bid`              |             | `string`  | `undefined` |
| `isFirst`        | `is-first`         |             | `boolean` | `false`     |
| `label`          | `label`            |             | `string`  | `undefined` |
| `labelBack`      | `label-back`       |             | `string`  | `undefined` |
| `labelFrontPage` | `label-front-page` |             | `string`  | `undefined` |

## Events

| Event              | Description | Type               |
| ------------------ | ----------- | ------------------ |
| `removeBreadcrumb` |             | `CustomEvent<any>` |

## Dependencies

### Used by

- [hy-menu](../menu)

### Depends on

- [hy-icon](../../icon)

### Graph

```mermaid
graph TD;
  hy-menu-mobile-breadcrumb --> hy-icon
  hy-menu --> hy-menu-mobile-breadcrumb
  style hy-menu-mobile-breadcrumb fill:#f9f,stroke:#333,stroke-width:4px
```

---

Helsinki University Design System
