import {setMode} from '@stencil/core';
/**
 * This is a demo on how to initialize different themes with a class name from body element.
 * You can basically get it how you want, this is not necessarily the best way!
 */
setMode((elm) => {
  const el = document.querySelector('body');
  const bodyclasses = el.className.split(' ');
  if ((elm as any).mode) return (elm as any).mode;
  else if (elm.getAttribute('mode')) return elm.getAttribute('mode');
  else return bodyclasses.includes('full-width') ? 'wide' : 'default';
});
